com.amazonaws.services.codebuild.model

## Class UpdateProjectRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.UpdateProjectRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateProjectRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateProjectRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateProjectRequest` `clone()`
`boolean` `equals(Object obj)`
`ProjectArtifacts` `getArtifacts()` Information to be changed about the build project's build output artifacts.
`String` `getDescription()` A new or replacement description of the build project.
`String` `getEncryptionKey()` The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`ProjectEnvironment` `getEnvironment()` Information to be changed about the build project's build environment.
`String` `getName()` The name of the existing build project to change settings.
`String` `getServiceRole()` The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`ProjectSource` `getSource()` Information to be changed about the build project's build input source code.
`List<Tag>` `getTags()` The replacement set of tags for this build project.
`Integer` `getTimeoutInMinutes()` The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.
`int` `hashCode()`
`void` `setArtifacts(ProjectArtifacts artifacts)` Information to be changed about the build project's build output artifacts.
`void` `setDescription(String description)` A new or replacement description of the build project.
`void` `setEncryptionKey(String encryptionKey)` The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`void` `setEnvironment(ProjectEnvironment environment)` Information to be changed about the build project's build environment.
`void` `setName(String name)` The name of the existing build project to change settings.
`void` `setServiceRole(String serviceRole)` The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`void` `setSource(ProjectSource source)` Information to be changed about the build project's build input source code.
`void` `setTags(Collection<Tag> tags)` The replacement set of tags for this build project.
`void` `setTimeoutInMinutes(Integer timeoutInMinutes)` The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateProjectRequest` `withArtifacts(ProjectArtifacts artifacts)` Information to be changed about the build project's build output artifacts.
`UpdateProjectRequest` `withDescription(String description)` A new or replacement description of the build project.
`UpdateProjectRequest` `withEncryptionKey(String encryptionKey)` The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`UpdateProjectRequest` `withEnvironment(ProjectEnvironment environment)` Information to be changed about the build project's build environment.
`UpdateProjectRequest` `withName(String name)` The name of the existing build project to change settings.
`UpdateProjectRequest` `withServiceRole(String serviceRole)` The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`UpdateProjectRequest` `withSource(ProjectSource source)` Information to be changed about the build project's build input source code.
`UpdateProjectRequest` `withTags(Collection<Tag> tags)` The replacement set of tags for this build project.
`UpdateProjectRequest` `withTags(Tag... tags)` The replacement set of tags for this build project.
`UpdateProjectRequest` `withTimeoutInMinutes(Integer timeoutInMinutes)` The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateProjectRequest

    public UpdateProjectRequest()

### Method Detail

#### setName

    public void setName(String name)

The name of the existing build project to change settings.

<note>

You cannot change an existing build project's name.

</note>

Parameters:
  `name` - The name of the existing build project to change settings. <note>

  You cannot change an existing build project's name.

#### getName

    public String getName()

The name of the existing build project to change settings.

<note>

You cannot change an existing build project's name.

</note>

Returns:
  The name of the existing build project to change settings. <note>

  You cannot change an existing build project's name.

#### withName

    public UpdateProjectRequest withName(String name)

The name of the existing build project to change settings.

<note>

You cannot change an existing build project's name.

</note>

Parameters:
  `name` - The name of the existing build project to change settings. <note>

  You cannot change an existing build project's name.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A new or replacement description of the build project.

Parameters:
  `description` - A new or replacement description of the build project.

#### getDescription

    public String getDescription()

A new or replacement description of the build project.

Returns:
  A new or replacement description of the build project.

#### withDescription

    public UpdateProjectRequest withDescription(String description)

A new or replacement description of the build project.

Parameters:
  `description` - A new or replacement description of the build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSource

    public void setSource(ProjectSource source)

Information to be changed about the build project's build input source code.

Parameters:
  `source` - Information to be changed about the build project's build input source code.

#### getSource

    public ProjectSource getSource()

Information to be changed about the build project's build input source code.

Returns:
  Information to be changed about the build project's build input source code.

#### withSource

    public UpdateProjectRequest withSource(ProjectSource source)

Information to be changed about the build project's build input source code.

Parameters:
  `source` - Information to be changed about the build project's build input source code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArtifacts

    public void setArtifacts(ProjectArtifacts artifacts)

Information to be changed about the build project's build output artifacts.

Parameters:
  `artifacts` - Information to be changed about the build project's build output artifacts.

#### getArtifacts

    public ProjectArtifacts getArtifacts()

Information to be changed about the build project's build output artifacts.

Returns:
  Information to be changed about the build project's build output artifacts.

#### withArtifacts

    public UpdateProjectRequest withArtifacts(ProjectArtifacts artifacts)

Information to be changed about the build project's build output artifacts.

Parameters:
  `artifacts` - Information to be changed about the build project's build output artifacts.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnvironment

    public void setEnvironment(ProjectEnvironment environment)

Information to be changed about the build project's build environment.

Parameters:
  `environment` - Information to be changed about the build project's build environment.

#### getEnvironment

    public ProjectEnvironment getEnvironment()

Information to be changed about the build project's build environment.

Returns:
  Information to be changed about the build project's build environment.

#### withEnvironment

    public UpdateProjectRequest withEnvironment(ProjectEnvironment environment)

Information to be changed about the build project's build environment.

Parameters:
  `environment` - Information to be changed about the build project's build environment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServiceRole

    public void setServiceRole(String serviceRole)

The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Parameters:
  `serviceRole` - The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

#### getServiceRole

    public String getServiceRole()

The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Returns:
  The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

#### withServiceRole

    public UpdateProjectRequest withServiceRole(String serviceRole)

The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Parameters:
  `serviceRole` - The replacement Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeoutInMinutes

    public void setTimeoutInMinutes(Integer timeoutInMinutes)

The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

Parameters:
  `timeoutInMinutes` - The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

#### getTimeoutInMinutes

    public Integer getTimeoutInMinutes()

The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

Returns:
  The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

#### withTimeoutInMinutes

    public UpdateProjectRequest withTimeoutInMinutes(Integer timeoutInMinutes)

The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

Parameters:
  `timeoutInMinutes` - The replacement value in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryptionKey

    public void setEncryptionKey(String encryptionKey)

The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Parameters:
  `encryptionKey` - The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

#### getEncryptionKey

    public String getEncryptionKey()

The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Returns:
  The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

#### withEncryptionKey

    public UpdateProjectRequest withEncryptionKey(String encryptionKey)

The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Parameters:
  `encryptionKey` - The replacement AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  You can specify either the CMK's Amazon Resource Name (ARN) or, if available, the CMK's alias (using the format `alias/alias-name` ).

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTags

    public List<Tag> getTags()

The replacement set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  The replacement set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

#### setTags

    public void setTags(Collection<Tag> tags)

The replacement set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Parameters:
  `tags` - The replacement set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

#### withTags

    public UpdateProjectRequest withTags(Tag... tags)

The replacement set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The replacement set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public UpdateProjectRequest withTags(Collection<Tag> tags)

The replacement set of tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Parameters:
  `tags` - The replacement set of tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateProjectRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`